Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class MessageViewModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.mail.MailModel
              portlets.compoze.groupware.model.mail.MessageViewModel

All Implemented Interfaces:
  java.io.Serializable

public class MessageViewModel
extends MailModel
implements java.io.Serializable

This class represents the data model for the message view (`message_view.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.mail.MailModel
`QUICK_VIEW_ALL, QUICK_VIEW_HIGH_PRIORITY, QUICK_VIEW_UNREAD`

Constructor Summary
`MessageViewModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs, Accounts accounts)` Constructor.

Method Summary
`java.lang.String` | `getAccountID()` Gets the account ID.
`Folder` | `getFolder()` Gets the folder.
`FolderNavigation` | `getFolderNavigation()` Gets the folder navigation.
`int` | `getFolderType()` Gets the folder type.
`java.util.List` | `getMessages()` Gets the messages.
`Pagination` | `getPagination()` Gets the pagination.
`int` | `getQuickView()` Gets the quick view.
`SortProperty` | `getSortProperty()` Gets the sort property.
`void` | `setAccount(java.lang.String sAccountID)` Sets the account ID.
`void` | `setFolder(Folder folder)` Sets the folder.
`void` | `setFolderNavigation(FolderNavigation folderNavigation)` Sets the folder navigation.
`void` | `setFolderType(int iFolderType)` Sets the folder type.
`void` | `setMessages(java.util.List msgs)` Sets the messages.
`void` | `setMessages(Message[] messages)` Sets the messages.
`void` | `setPagination(Pagination pagination)` Sets the pagination.
`void` | `setQuickView(int iQuickView)` Sets the quick view.
`void` | `setSortProperty(SortProperty sortProperty)` Sets the sort property.

Methods inherited from class portlets.compoze.groupware.model.mail.MailModel
`getInboxFolderID, getMailPreferences, setInboxFolderID`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageViewModel

    public MessageViewModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                            FeatureGroup featureGroup,
                            GroupwarePreferences groupwarePrefs,
                            MailPreferences mailPrefs,
                            Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)

Method Detail

### setFolderType

    public void setFolderType(int iFolderType)

  Sets the folder type.

  Parameters:
    `iFolderType` - the folder type

### getFolderType

    public int getFolderType()

  Gets the folder type.

  Returns:
    the the folder type

### setQuickView

    public void setQuickView(int iQuickView)

  Sets the quick view.

  Parameters:
    `iQuickView` - the the quick view (see `QUICK_VIEW_` constants)

### getQuickView

    public int getQuickView()

  Gets the quick view.

  Returns:
    the the quick view (see `QUICK_VIEW_` constants)

### setMessages

    public void setMessages(java.util.List msgs)

  Sets the messages.

  See Also:
    `portlets.compoze.groupware.Message`

### setMessages

    public void setMessages(Message[] messages)

  Sets the messages.

  Parameters:
    `messages` - an array of messages (may not be `null`)

### getMessages

    public java.util.List getMessages()

  Gets the messages.

  Returns:
    a list of `Message` objects
  See Also:
    `portlets.compoze.groupware.Message`

### setAccount

    public void setAccount(java.lang.String sAccountID)

  Sets the account ID.

  Parameters:
    `sAccountID` - the account ID (may not be `null`)

### getAccountID

    public java.lang.String getAccountID()

  Gets the account ID.

  Returns:
    the account ID

### getSortProperty

    public SortProperty getSortProperty()

  Gets the sort property.

  Returns:
    the sort property

### setSortProperty

    public void setSortProperty(SortProperty sortProperty)

  Sets the sort property.

  Parameters:
    `sortProperty` - the sort property (may not be `null`)

### getFolder

    public Folder getFolder()

  Gets the folder.

  Returns:
    the folder

### setFolder

    public void setFolder(Folder folder)

  Sets the folder.

  Parameters:
    `folder` - the folder (may not be `null`)

### getFolderNavigation

    public FolderNavigation getFolderNavigation()

  Gets the folder navigation.

  Overrides:
    `getFolderNavigation` in class `MailModel`
  Returns:
    the folder navigation

### setFolderNavigation

    public void setFolderNavigation(FolderNavigation folderNavigation)

  Sets the folder navigation.

  Parameters:
    `folderNavigation` - the folder navigation (may not be `null`)

### getPagination

    public Pagination getPagination()

  Gets the pagination.

  Returns:
    the pagination

### setPagination

    public void setPagination(Pagination pagination)

  Sets the pagination.

  Parameters:
    `pagination` - the pagination (may not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.